|  | reflex::AbstractLexer< M >::Matcher Class Reference updated Fri Dec 9 2016 |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
reflex::AbstractLexer< M >::Matcher Class Reference

Extend matcher class M with a member pointing to the instantiating lexer class. More...

`#include <abslexer.h>`

Inheritance diagram for reflex::AbstractLexer< M >::Matcher:
[legend]
Collaboration diagram for reflex::AbstractLexer< M >::Matcher:
[legend]

## Public Member Functions
| Matcher (const typename M::Pattern &pattern, const Input &input, AbstractLexer *lexer, const char *opt=NULL)

## Protected Member Functions
virtual bool | wrap (void)
| Returns true if matcher should wrap input after EOF. More...

## Protected Attributes
AbstractLexer * | lexer_
| Points to the lexer class that instantiated this Matcher. More...

## Detailed Description

### template<typename M>
class reflex::AbstractLexer< M >::Matcher

Extend matcher class M with a member pointing to the instantiating lexer class.

## Constructor & Destructor Documentation

template<typename M >

reflex::AbstractLexer< M >::Matcher::Matcher | ( | const typename M::Pattern & | pattern,
|  | const Input & | input,
|  | AbstractLexer * | lexer,
|  | const char * | opt = `NULL`
| ) |  |
| inline

Parameters

  pattern | regex pattern to instantiate matcher class M(pattern, input)
  input | the reflex::Input to instantiate matcher class M(pattern, input)
  lexer | points to the instantiating lexer class
  opt | option string of the form `(A|N|T(=[[:digit:]])?|;)*`

## Member Function Documentation

template<typename M >

virtual bool reflex::AbstractLexer< M >::Matcher::wrap | ( | void |  | ) |
| inline protected virtual

Returns true if matcher should wrap input after EOF.

Returns
  true if reflex::AbstractLexer::wrap() == 0

Reimplemented in reflex::FlexLexer< M >::Matcher.

## Member Data Documentation

template<typename M >

AbstractLexer* reflex::AbstractLexer< M >::Matcher::lexer_
| protected

Points to the lexer class that instantiated this Matcher.

The documentation for this class was generated from the following file:

- abslexer.h